# Get All Licenses

Returns a list of all known licenses in the system.

Endpoint: GET /api/v2.0/licenses
Version: 2.0
Security: bearer-key

## Query parameters:

  - `pageSize` (string)

  - `page` (string)

  - `search` (any)
    Filter your search to return items whose property has a specific value.
Use the syntax: property:operation:value where a colon (:) separates between property, operation and value.
+ Property: the name of the property of the item
+ Operation:
    + equals - true if the value is identical to this value.
    + like - true if the property's value is contained within this value
    + in - true if the value is identical to one of the items in this comma-separated list. E.g. in:value1,value2,value3
+ Value: the value of the property.

To combine multiple filters, separate each filter with a semicolon with no space. E.g.  property1:operation1:value1;property2:operation2:value2

This endpoint supports filtering on the following properties and its supported operators:
+ name:[equals | like | in]:value
+ spdxName:[equals | like | in]:value
+ uuid:[equals | in]:value

## Response 200 fields (application/json):

  - `additionalData` (object)
    + totalItems: The total count of data points returned in an API response.
+ isLastPage: Defines whether the current page represents the conclusion of the API response. When “true”, this signifies you are viewing the last page of the API response. When “false”, this indicates there are further pages remaining.
    Example: {"totalItems":"422","isLastPage":"true"}

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (array)

  - `retVal.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.name` (string, required)
    Example: "MIT"

  - `retVal.spdxName` (string)
    Example: "Glide"

  - `retVal.type` (string)
    Example: "OPEN_SOURCE"

  - `retVal.suspected` (boolean)

  - `retVal.osiApproved` (boolean)

  - `retVal.profile` (object)

  - `retVal.profile.uuid` (string)

  - `retVal.profile.name` (string)

  - `retVal.profile.links` (array)
    Example: ["http://www.opensource.org/licenses/AFL-3.0"]

  - `retVal.profile.copyrightRiskScore` (object)

  - `retVal.profile.copyrightRiskScore.explanation` (string)
    Example: "http://en.wikipedia.org/wiki/Academic_Free_License"

  - `retVal.profile.copyrightRiskScore.indicatingText` (string)
    Example: "1) Grant of Copyright License..."

  - `retVal.profile.copyrightRiskScore.riskScore` (integer)
    Example: 39

  - `retVal.profile.patentAndRoyaltyRisk` (object)

  - `retVal.profile.royaltyFree` (string)
    Example: "Conditional"

  - `retVal.profile.copyleft` (object)

  - `retVal.profile.copyleft.explanation` (string)
    Example: "http://en.wikipedia.org/wiki/Academic_Free_License"

  - `retVal.profile.copyleft.indicatingText` (string)
    Example: "1) Grant of Copyright License..."

  - `retVal.profile.copyleft.description` (string)
    Example: "Not a CopyLeft license."

  - `retVal.profile.copyleft.displayText` (string)
    Example: "No"

  - `retVal.profile.linking` (object)

  - `retVal.profile.requiredNotices` (array)
    Example: ["Must identify specific modifications"]

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


